> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/upload-files-with-the-geopard-api.md).

# Качване на файлове с GeoPard API

{% hint style="success" %}
Препоръчителният подход за файлове с размер над 6 MB е потока с [предварително подписан URL адрес](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

API на GeoPard позволява качването на ZIP архиви с набори от данни за почвата/добива/приложените количества/границите за последваща обработка и анализ.

{% hint style="danger" %}
Поради ограничение на AWS максималният размер на файл, който можете да качите през тази REST крайна точка, е 6 MB.
{% endhint %}

Стъпките за качване на файлове с размер над 6 MB са описани в [Качване на ZIP файлове (над 6 MB)](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Веднага след успешно качване на набора от данни за почвата/добива/приложените количества, механизмът на GeoPard го свързва със съответните полета в посоченото стопанство.

Веднага след успешно качване на границите механизмът на GeoPard започва обработката им.

Отговорът съдържа `<uuid>` който можете да използвате, за да проследявате състоянието на обработката.

#### Примерна заявка:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Параметрите са:

1. `<type>` – типът на качвания набор от данни. Трябва да бъде `yield` ИЛИ `soil` ИЛИ `applied` ИЛИ `boundary`.
2. `<farm_uuid>` – `uuid` на стопанството, в което ще бъде качен файлът (незадължително).
3. `<token>` – токен за достъп до GeoPard.
4. `@path/to/file.zip` – пътят до файла, който се качва.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
